import {
    getSaleData
} from '~/api/sale'
import event from '~/mixins/event'
Page({
    behaviors: [event],
    data: {
        allIncome: {},
        money: '',
        errMsg: '',
        activationModal: false,
    },
    async onShow() {
        let allIncome = await getSaleData()
        this.setData({
            allIncome
        })
    },
    withdrawalFun() {
        if (this.data.money <= 0) {
            this.setData({
                errMsg: '请输入要提现的金额'
            })
            return
        }
        if (this.data.money > this.data.allIncome.withdraw / 100) {
            this.setData({
                errMsg: '可提现金额不足'
            })
            return
        }
        if (this.data.money > 500 || this.data.money < 50) {
            this.setData({
                errMsg: '提现金额需≥50元，单笔最高可提500元'
            })
            return
        }
        this.setData({
            activationModal: true,
        })
    },
    clearMoney() {
        console.log('11');
        this.setData({
            money: "",
            errMsg: ""
        });
    },
    setMoney({
        detail
    }) {
        this.setData({
            money: detail.value
        });
    },
    jump({
        currentTarget
    }) {
        wx.navigateTo({
            url: `/salesperson/pages/${currentTarget.dataset.url}/index`,
        })
    },
    closeModal() {
        this.setData({
            activationModal: false
        })
    },
})